\section{Top-level introduction to matched-filtering-based search pipelines}
\label{sec: top-level-CBC-pipeline}
Here, we give a general overview of matched-filtering-based search pipelines for gravitational waves. 
For the rest of this thesis, matched-filtering pipelines are assumed to be targeting 
only gravitational waves originating from compact binary coalescences, 
but readers are reminded that these pipelines can potentially be used to search for gravitational waves from other sources (e.g. bursts).

Matched-filtering-based pipelines exploit the fact that gravitational waveforms 
from compact binary coalescences are well-modelled. 
Focusing on a particular region in the gravitational-wave parameter space, 
a collection of waveforms $\{\tilde{h}_i(f)$ 
(labelled by their intrinsic parameters like component masses $m_{1,2}$ and dimensionless spins $\vec\chi_{1,2}$) 
are prepared and filtered against sets of data $\{d(t)\}$ 
collected from the participating detectors in an observing run. 
Assuming aligned spins with the stationary phase approximation, 
the plus and cross-polarization components of a gravitational waveform can be written in the time domain as
\begin{align}
\label{eq: plus_cross_pol_waveform}
	\begin{cases}
		h_+(t) = \frac{1+\cos^2\iota}{2} \left(\frac{2GM}{c^2 D}\right) \left(\frac{2G \mu}{c^2 r(t)}\right) \cos\left[2(\omega(t) - \phi_c)\right]\\
		h_x(t) = \cos\iota \left(\frac{2GM}{c^2 D}\right) \left(\frac{2G \mu}{c^2 r(t)}\right) \cos\left[2(\omega(t) - \phi_c)\right]
	\end{cases},
\end{align}
where $\iota$ is the inclination of the system, 
$G$ is the gravitational constant, 
$c$ is the speed of light, 
$M = m_1 + m_2$ is the total mass of the system,
$\mu$ is the reduced mass of the system,
$\omega$ is the orbital angular frequency, 
$D$ is the distance to the source's center, 
$r$ is the source's separation, 
and $\phi_c$ is the coalescence phase. 
Under this assumption, the two polarizations differ from each other only by 
a proportionality constant plus a $\frac{\pi}{4}$ phase shift. 
Note that here we are only considering the fundamental $2-2$ mode, 
and higher-order modes are neglected. 
In the future, the inclusion of higher-order modes may be implemented to further 
improve our search sensitivity \cite{Wadekar:2023kym}.

Mathematically, we can write the complex matched-filtering output $z_i(t)$ of the 
data $d(t)$ against a given template $\tilde{h}_i(f)$ as
\begin{align}\label{eq: complex_snr}
	z_i (t) \equiv x_i(t) + iy_i(t) &= 4\int_0^\infty \frac{\tilde{d}(f) \tilde{h}_i^*(f)}{S_n(f)} e^{2i \pi f t} df\\
	&= 4\int_0^\infty \frac{\tilde{d}(f)}{\sqrt{S_n(f)}} \cdot \frac{\tilde{h}_i^*(f)}{\sqrt{S_n(f)}} e^{2i \pi f t} df,
\end{align}
where $S_n(f)$ is the one-sided noise power spectral density (PSD), 
and the integral in the last line transforms the matched-filtering output from 
the frequency domain to the time domain via Fourier transform. 
$x_i$ and $y_i$ correspond to a gravitational wave signal with 
coalescence phase $\phi_c$ and $\phi_c + \frac{\pi}{4}$ respectively. 
The final line of Equation \ref{eq: complex_snr} explicitly shows that both the data $\tilde{d}(f)$
and the template waveform $\tilde{h}_i(f)$ are whitened by the square root of the noise PSD, i.e. the
amplitude spectral density (ASD).

Pipelines will record times when the magnitude of the matched-filtering output.
When the output is suitably normalized\cite{Allen:2005fk}, it is formally known 
as the signal-to-noise ratio SNR $\rho$, 
exceeds a predetermined threshold together with the SNR at those times 
and the template parameters as a candidate event (also known as ``trigger'') 
for each template waveform. 
For GstLAL, an additional statistic, the ``auto-correlation based consistency test value'' $\xi^2$, 
is calculated for each trigger. $\xi^2$ evaluates the difference between the expected SNR timeseries 
for a template associated with a trigger (also known as the ``auto-correlation'', hence auto-correlation-based) 
to the actual SNR timeseries. 
The larger $\xi^2$, the more different the data is compared to the template waveform. 
$\xi^2$ will be further discussed in Section \ref{sec: overview_of_gstlal}. 
\pycbc has a similar signal consistency test value (see Equation 14 of \cite{Usman:2015kfa} for example).

Pipelines will then estimate the significance (using a ranking statistic) 
of the collection of triggers they obtained. 
\pycbc previously used a ranking statistic called ``re-weighted SNR'' $\tilde\rho$ defined by (See also Equation 5 of \cite{Nitz:2018rgo})
\begin{align}
	\tilde\rho = 
	\begin{cases}
		\rho, \chi^2 \leq 1\\
		\frac{\rho}{\left[\frac{1}{2} + \left(\chi^2\right)^3\right]^\frac{1}{6}}, \chi^2 > 1
	\end{cases}.
\end{align}
GstLAL assigns an alternative ranking statistic, the ``likelihood ratio'' 
\begin{align}
	\mathcal{L} = \frac{\mathcal{L}(\mathrm{signal})}{\mathcal{L}(\mathrm{noise})}.
\end{align}
$\mathcal{L}$ is the ratio of the probabilities of obtaining a trigger (with the recorded SNR $\rho$, $\xi^2$, 
template parameter $\vec\theta$, and other detection statistics) under the signal hypothesis 
(i.e. assuming that the trigger is a gravitational-wave signal) and that under the noise hypothesis 
(i.e. assuming that the trigger is noise). 
Starting from the third observing run, \pycbc also started to use the ``likelihood ratio'' as the ranking statistic.
This will be further discussed in the next section.

A noise background estimation is required to evaluate the probability under the noise hypothesis. 
Different search pipelines have different approaches to model the noise background. 
For example, \texttt{pyCBC} estimates the noise background by performing multiple timeslides 
of data \cite{Nitz:2019pycbc,Nitz:2018rgo}: In each iteration, \texttt{pyCBC} adds a time offset 
to the data in different detectors that is larger than the maximum light travel time across the detectors,
perform matched-filtering on the time-slided data and collect triggers that are found coincidentally in multiple detectors. 
These coincident triggers must not correspond to real gravitational waves but noise
because of the unphysical time offset added. Hence, 
they can be used to construct one realization of the noise background. 
An ensemble of these estimates is then used to generate a representative noise background estimation. 
On the other hand, GstLAL uses non-coincidental single detector triggers to estimate the noise background (See Section \ref{sec: overview_of_gstlal}).

Finally, search pipelines estimate the False-Alarm-Probability (FAP)
\footnote{
	A similar quantity known as the False-Alarm-Rate (FAR) can also be evaluated. FAR tells us how often
	noise can produce a trigger with a ranking statistic larger or equal to that of the trigger under
	consideration.
} 
for each trigger. FAP is the probability that noise can produce a trigger with a ranking statistic larger 
or equal to that of the trigger under consideration. 
Intuitively, the lower the FAP, the more likely a candidate is a gravitational wave. 
A related statistic known as the False-Alarm-Rate (FAR) is also evaluated for each candidate. FAR quantifies how often noise can produce a trigger with a ranking statistic $\ln \mathcal{L}$ greater or equal to the ranking statistic $\ln \mathcal{L}*$ of the trigger under consideration, marginalized over all the data analyzed~\cite{LIGOScientific:2018mvr}. Mathematically, we have
\begin{equation}
	\text{FAR} = \frac{N\times \text{FAP}}{T},
\end{equation}
where $N$ is the total number of observed candidates, and $T$ is the duration of the data being analyzed,
A ranked list of candidates according to the FAPs estimated is then output from the search pipeline for follow-up analysis like Bayesian parameter estimation \cite{Romero-Shaw:2020owr}.

\section{An overview of the GstLAL search pipeline}
\label{sec: overview_of_gstlal}
In this section, I will give an overview of the GstLAL search pipeline, outlining the key procedures. 
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{gstlal_pipeline.png}
\caption{
	A simple flowchart outlining the key components of the GstLAL pipeline. 
	Figure reproduced with reference to \cite{2017PhRvD..95d2001M}.
	Note that the first two boxes representing ``data and template preparation'' and ``data filtering''
	are done individually for each participating detector.
}
\label{fig:gstlal_pipeline}
\index{figures}
\end{figure}

One key difference that sets GstLAL aside from the other search pipelines like \texttt{pyCBC} 
is that GstLAL performs matched filtering in the time domain instead of the frequency domain. 
As we have seen previously, the complex matched-filtering output is given by equation \ref{eq: complex_snr}. 
GstLAL performs matched-filtering with ``real'' templates only in the time domain, and hence, 
for each matched-filtering, GstLAL will only compute the real part $x_i$ of the complex SNR timeseries, 
corresponding to a single coalescence phase. To obtain the complete complex SNR time series, 
for each complex template $h_i^c(t)$ ($i$ runs from $0$ to $N-1$, where $N$ is the total number 
of templates in the template bank, and $c$ means that the template is complex in general),
GstLAL will perform two matched-filtering processes with two real sub-templates defined by 
\begin{align}
	\begin{cases}
		h_{2i}(t) = \Re\left[h_i^c(t)\right] \\
		h_{2i+1}(t) = \Im\left[h_i^c(t)\right]
	\end{cases},
\end{align}
where the second waveform differs from the first waveform by a $\frac{\pi}{4}$ coalescence phase shift 
with respect to Equation \ref{eq: plus_cross_pol_waveform}.

\subsection{\underline{Estimating the noise power spectral density (PSD)}}
As a first step, GstLAL estimates the (one-sided) noise power spectral density (PSD) $S_n(f)$ with the 
given data from the various detectors. Note that PSD is the square of the Amplitude Spectral Density (ASD). 
The PSDs are essential for whitening the templates and data for matched-filtering at a later stage (See also Equation \ref{eq: complex_snr}). 
Theoretically, if the noise in the detectors is stationary and Gaussian, 
the one-sided noise PSD is defined \cite{2017PhRvD..95d2001M} as
\begin{align}
	\langle \tilde{n}(f) \tilde{n}^*(f') \rangle = \frac{1}{2} S_n(f) \delta(f-f'),\, f>0
\end{align}
where the left side is the average of an ensemble of realizations of the noise in the detector $n(t)$. 
In reality, we can only estimate detector noise from data collected from the detectors, 
which generally consists of both signals and data. 
Additionally, detector data is neither stationary nor Gaussian due to glitches. 
A detailed explanation of how GstLAL estimates the PSDs can be found in Section II A 
of \cite{2017PhRvD..95d2001M}. 
As an example, Figure \ref{fig:psd_example} shows the median power spectral density (PSD) of data 
collected from the Hanford (H1) and Livingston (L1) detector between 
UTC time 2023-05-24 15:00:00 and 2023-06-06 14:30:34, estimated using the GstLAL pipeline.
The binary-neutron-star horizon distances
\footnote{
	The binary-neutron-star horizon distance is defined as the furthest distance to 
	which we will be able to detect gravitational waves from a $1.4M_\odot - 1.4M_\odot$ 
	binary-neutron-star merger with a threshold signal-to-noise ratio of $8$.
} 
for each detector are also estimated and shown in the legend of the same figure.
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{o4a_chunk1_median_psd_1368975618-1121434.pdf}
\caption{
	The median power spectral density (PSD) of data collected from the Hanford (H1, in red) 
	and Livingston (L1, in blue) detector between UTC time 2023-05-24 15:00:00 and 2023-06-06 14:30:34, 
	estimated using the GstLAL pipeline. 
	The binary-neutron-star horizon distances for the two detectors are also estimated and shown in the legend.
	Note that GstLAL downsamples the data being analyzed, and hence the PSD shown above ends at $10^3$ Hz. However, the PSD extends beyond $10^3$ Hz in reality. 
}
\label{fig:psd_example}
\index{figures}
\end{figure}

\subsection{\underline{Template bank splitting and decomposition}}
Since we do not know a priori where in the parameter space the gravitational waves we are searching for lives (we refer to this parameter space as the ``signal subspace'' hereafter), we will need to prepare a large number of gravitational waveforms, collectively stored in a ``template bank'', to cover the possible search parameter space where a
gravitational wave may live in for a general search. Templates in a standard template bank are not distributed uniformly but are chosen to minimize the size of the template bank. Insufficient templates to cover the parameter space may lead to potential loss of gravitational-wave signals due to excessive loss of signal-to-noise ratio (SNR), causing them not to be identified as potential triggers in the first place in a matched filtering search pipeline. Meanwhile, an over-population of templates leads to high trials factors and thus accumulates excessive ``noise'' background, making it more difficult to distinguish actual gravitational-wave signals from the collected background
\footnote{
	The trials factor problem (and hence the large noise background) is an obstacle we encountered when looking for sub-threshold (strongly-lensed) gravitational-wave signals, which typically have lower amplitudes and lower ranking statistics. In later chapters, we describe a method to strategically narrow the search parameter space and reduce the noise background to uprank possible sub-threshold gravitational waves.
}. 
Therefore, a standard template bank is generated in a way that satisfies a minimal match criterion (between any signals within the covered signal subspace and the templates) to balance between identifying signals with minimal loss of SNR and the over-accumulation of the noise background. Methodologies and techniques for creating template banks for searching gravitational waves are out of scope for this thesis, but readers are referred to \cite{Sakon:2022ibh,Wadekar:2023kym,Chan:2020fip,Buonanno:2009zt}.
Figure \ref{fig:gstlal_o3_bank} shows the template bank used by the GstLAL search pipeline in LIGO-Virgo-KAGRA's third observing run O3, plotted on the component masses $m_1-m_2$ space. The entire bank, covering component masses ranging from $1M_\odot$ to $400M_\odot$, is composed of five smaller banks, namely the binary-black-hole (BBH) bank (in blue), binary-neutron-star (BNS) bank (in orange), neutron-star-black-hole (NSBH) bank (in pink), intermediate-mass-black-hole (IMBH) bank (in green) and other BBH bank (in red). They are used to target different regions in the signal subspace. The bank has a total of $1,412,263$ templates.
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{gstlal_O3_template_bank.png}
\caption{
	The template bank used by the GstLAL search pipeline in O3, 
	shown in the component masses $m_1-m_2$ space.
	The full bank is composed of five smaller banks,
	including the binary-black-hole (BBH) bank (in blue), 
	binary-neutron-star (BNS) bank (in orange), 
	neutron-star-black-hole (NSBH) bank (in pink), 
	intermediate-mass-black-hole (IMBH) bank (in green) and other BBH bank (in red). 
	These different banks are used to target different regions in signal subspace.
}
\label{fig:gstlal_o3_bank}
\index{figures}
\end{figure}

The large number of templates in the template bank still poses the problem of 
high computational cost induced by running matched filtering with all the templates. 
GstLAL addresses this problem via the Low Latency Online Inspiral Detection (LLOID) method \cite{Cannon:2011vi}.
First, GstLAL splits the full template bank into smaller ``split-banks'', 
each carrying $2N_T$ real templates
\footnote{
	The factor of $2$ is the result of GstLAL using only real templates to compute 
	the complex SNR timeseries; 
	$N_T$ is an adjustable number which is generally set to be $\mathcal{O}(100)$.
}, 
according to the templates' chirp mass
\begin{align}
	\mathcal{M}_c = \frac{(m_1 m_2)^{3/5}}{(m_1 + m_2)^{1/5}}
\end{align}
and effective spin parameter
\begin{align}
	\chi_\text{eff} = \frac{m_1 s_\text{1z} + m_2 s_\text{2z}}{m_1 + m_2},
\end{align}
where $m_1$, $m_2$ are the component masses, 
and $s_\text{1z}$ and $s_\text{2z}$ are the components' dimensionless spins in the $z$-direction. 
The neighbouring split banks in the $\mathcal{M}_c$ space are partially overlapping for 
intermediate use when adopting the LLOID method, 
but will be removed later so there are no repeated templates at the end. 
Figure \ref{fig:split_bank_example} shows an example of two split banks (bank $1000$ and $1019$) 
generated from the full template bank (Figure \ref{fig:gstlal_o3_bank}) 
in the chirp mass $\mathcal{M}_c$ - effective spin $\chi_\text{eff}$ space.
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{gstlal_bbh_split_bank_example.png}
\caption{
	An example of two split banks (bank $1000$ and $1019$) generated from the full template bank, 
	shown in the chirp mass $\mathcal{M}_c$ - effective spin $\chi_\text{eff}$ space. 
	Note that the partially overlapping region exists only for intermediate use when adopting the LLOID method, 
	but will be removed afterward so that there are no repeated templates.
}
\label{fig:split_bank_example}
\index{figures}
\end{figure}

GstLAL then sub-divides each sub-bank into smaller ``time slices'',
so each waveform is further ``chopped'' into smaller regions in time with respect to the waveform frequencies at each time. The sampling frequency for each time slice will be adjusted according to the corresponding Nyquist frequency. Hence, we can use a lower sampling frequency for the low-frequency time slices, reducing the number of sampling points and, thus, the computation cost when performing matched filtering. Figure \ref{fig:timeslice_example} gives an example of the timeslices for a template waveform with chirp mass $\mathcal{M}_c = 2.61 M_\odot$ and z-component spins $s_\mathrm{1z} = -0.73$ and $s_\mathrm{2z} = -1.0$.
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{timesliced_waveform.pdf}
\caption{
	An example of the time slices for a template waveform with chirp mass $\mathcal{M}_c = 2.61 M_\odot$ 
	and z-component spins $s_\mathrm{1z} = -0.73$ and $s_\mathrm{2z} = -1.0$. 
	Note that the sampling frequency increases with time as the Nyquist frequency increases. 
	\label{fig:timeslice_example}
}
\index{figures}
\end{figure}

The final step in the LLOID method is to perform a singular-value decomposition (SVD) on each time slice for each sub-bank. SVD reduces the physical templates into unphysical templates (i.e. they look nothing like actual gravitational waveforms) as basis. One can reconstruct the original waveform with the corresponding reconstruction coefficients (also known as the mixing matrix elements). GstLAL truncates the SVD output so that it only keeps the most important basis to further reduce computational cost with minimal effect on the waveform reconstruction accuracy (set by the ``tolerance''). In the end, GstLAL will perform matched filtering with the SVD basis, and reconstruct the SNR timeseries for each template waveform. The process is shown schematically in figure \ref{fig:svd_schematic}. The mathematical derivations and computation of the LLOID method can be found in \cite{Cannon:2011vi}.
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{svd_schematic.png}
\caption{
	A schematic diagram of the singular-value-decomposition (SVD) operation on the template bank. 
	\label{fig:svd_schematic}
}
\index{figures}
\end{figure}

\subsection{\underilne{Matched-filtering and the signal consistency test}}
%\fixme{Alan: Note that if noise is truely Gaussian, SNR is an optimal ranking statistic. Matched filtering is optimal for single templates, but for many templates it is still optimal (cite references). Mention trials factors somehow here, and anticipate the readers that you are going to focus on that particularly when working on the TESLA method.}
When performing matched filtering, 
GstLAL records instances when the SNR exceeds some pre-determined threshold as candidate events (also known as ``triggers''). 
At the time of writing, GstLAL sets the SNR threshold for a single detector trigger at $4$. 

Suppose noise in the data is truly Gaussian and stationary. In that case, the matched-filtered SNR will be an optimal ranking statistic to determine how likely a trigger is an actual gravitational-wave event compared to noise. However, this is not the case for real data. Noise fluctuations and non-Gaussianities (e.g. glitches) in the data, can also produce high SNR triggers in the pipeline. To address this problem, GstLAL assigns a second detection statistic known as the ``auto-correlation based signal consistency test value'' $\xi^2$ to each trigger.
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{auto_correlation_chi_square}
\caption{
	The auto-correlation timeseries (blue striped line) and SNR timeseries (black solid line) evaluated for GW230529 for the LIGO Livingston (L1) detector. In the above figure, the trigger's coalescence time is set to $ t=0$. 
}
\label{fig:auto_correlation}
\index{figures}
\end{figure}
GstLAL precomputes the expected complex auto-correlation timeseries for each template waveform (i.e. the expected SNR 
timeseries when a signal is matched-filtered against a template waveform having the same parameters) as \cite{2017PhRvD..95d2001M}
\begin{align}
	R_j(t) = \int \frac{|\tilde{h}_{2j}(f)|^2 + |\tilde{h}_{2j+1}(f)|^2}{S_n(f)} e^{2\pi i f t} df,
\end{align}
where $j$ runs from $0$ to $N_T - 1$, corresponding to a total of $N_T$ physical templates.
$h_{2j}$ and $h_{2j+1}$ are the real and imaginary parts of the template waveform defined previously.
We can compare these to the actual obtained complex SNR timeseries for a trigger
\begin{align}
	z_j(t) = x_{2j}(t) + ix_{2j+1}(t),
\end{align}
Conventionally, we set $t=0$ to be the peak time, and the autocorrelation is normalized
for each template such that $R(0) = 1$. If we assume that the actual SNR timeseries of a signal that is identical to a template
waveform can be represented by the corresponding autocorrelation timeseries up to a scaling factor $z_j(0)$
\footnote{
	Here, $t=0$ is again chosen to be the peak time of the actual SNR timeseries such that
	$\mathrm{max}(z_j(t)) = z_j(0)$.
}, then we can compute $\xi^2$ as
\begin{align}
	\xi^2 = \frac{\int_{-\delta t}^{\delta t} \left|z(t)-z(0)R(t)\right|^2 dt}{\int_{-\delta t}^{\delta t} 2 - 2\left|R(t)\right|^2dt}.
\end{align}
The numerator is effectively the sum of the squared difference between the expected (auto-correlated) normalized SNR timeseries $R_j(t)$
(scaled by the peak SNR of the actual SNR timeseries) and the actual SNR timeseries $z_j(t)$, integrated over a predetermined time window
$\delta t$ around the peak time. Details about how $\delta t$ is set can be found in \cite{2017PhRvD..95d2001M}. The denominator of $\xi^2$ is merely a normalization constant, such that a perfect match between the autocorrelation SNR timeseries and actual SNR timeseries will give $\xi^2 = 1$. In principle, the larger $\xi^2$ is, the more different the trigger's SNR timeseries is as compared to the expected SNR timeseries, and hence, the less likely it is a gravitational wave that is described by the template waveform
\footnote{
	While $\xi^2$ can help the pipeline to distinguish triggers corresponding to real gravitational-wave signals from triggers corresponding to glitches, one may also potentially lose exotic gravitational-wave signals that do not look like the template waveforms. For example, suppose there exists an alternative-gravity theory (Non-GR) gravitational-wave signal in the data that differs significantly from usual general-relativity gravitational template waveforms; the pipeline will assign a high $\xi^2$ to the trigger (if the signal is registered as a trigger in the first place), and will potentially affect its ranking statistics at a later stage, making it a sub-threshold candidate at the end. Another example would be microlensed gravitational waveforms (See Part II of the thesis).
}.
Figure \ref{fig:auto_correlation} shows an example of the autocorrelation timeseries (blue) and actual timeseries (black) for the event GW230529 for the LIGO Livingston (L1) detector. 
In the Appendix Section \ref{appsec: auto_normalization}, I also provide a detailed derivation for the normalization constant as reference.



\subsection{\underline{Collecting signal candidates and noise candidates}}
After filtering, the GstLAL pipeline now has a collection of triggers, each of which contains
(1) the trigger time $t$,
(2) the template parameters $\vec\theta_i$ as a label,
(3) the matched-filtered SNR $\rho$, and
(4) the auto-correlation-based signal consistency test value $\xi^2$
as trigger information.
It is important to note that at a given time instant, multiple triggers can be formed with different templates in the template bank (i.e. triggers at a given timestamp do not have unique template parameters, hence SNR and $\xi^2$).

\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{gstlal_coincident_triggers.png}
\caption{
	Triggers found in time coincidence (within a certain time window that accounts for (1)
	the maximum travel time of gravitational waves between detectors, and (2) statistical fluctuations
	in the measured trigger time due to detector noise) between participating detectors 
	with the same template parameters are grouped and labelled as coincident (signal) triggers
	by GstLAL. Coincident triggers are further followed up by the pipeline as signal triggers.
	In contrast, single detector triggers (non-coincident triggers) are treated as noise (background)
	triggers by GstLAL, and are used to construct the noise background.
	Starting from LVK's second observing run O2, GstLAL also allows single detector triggers to be treated
	as signal candidates if they pass a preliminary log-likelihood ratio threshold. This will be further 
	explained in later subsections.	
}
\label{fig:gstlal_coincident_triggers}
\index{figures}
\end{figure}
Starting with the collection of triggers, GstLAL looks for triggers that are found in time coincidence (within a certain time window that accounts for (1) the maximum travel time of gravitational waves between detectors, and (2) statistical fluctuations in the measured trigger time due to detector noise) between participating detectors with the same template parameters. These triggers are grouped and labelled as coincident (signal) triggers \cite{2017PhRvD..95d2001M}. Coincident triggers are further followed up by the pipeline as signal triggers. In contrast, single detector triggers (non-coincident triggers) are treated as noise (background) triggers and are used to construct the noise background.
Starting from LVK's second observing run O2, GstLAL also allows single detector triggers to be treated as signal candidates if they pass a preliminary log-likelihood ratio threshold. This will be further explained in later subsections (Or, see Section D1 of \cite{Sachdev:2019vvd}).

\subsection{\underline{Key terms in the Likelihood Ratio Statistic}}
A ranking statistic needs to be assigned to each of the triggers to rank candidate events from
least likely to be a real signal, and most likely to be a real signal.
GstLAL uses the likelihood-ratio ranking statistic \cite{2017PhRvD..95d2001M,Sachdev:2019vvd,2015arXiv150404632C,Heather}
to rank candidate events. For coincident triggers, the likelihood ratio $\mathcal{L}_\mathrm{coinc}$ is defined as
\begin{align}
	\mathcal{L} = \frac{P(\vec{D}_H,\vec{O},\vec\rho,\vec\xi^2,\left[\vec{\Delta t}, \vec{\Delta \phi}\right]|\vec\theta,\mathbf{signal})}{P(\vec{D}_H,\vec{O},\vec\rho,\vec\xi^2,\left[\vec{\Delta t}, \vec{\Delta \phi}\right]|\vec\theta,\mathbf{noise})}\cdot\frac{P(\vec\theta|\mathbf{signal})}{P(\vec\theta|\mathbf{noise})},
\end{align}
where
(1) $\vec{D}_H$ are the horizon distances of the detectors (a measure of the detector sensitivity),
(2) $\vec{O}$ is the set of detectors that registered the coincident trigger,
(3) $\vec\rho$ are the recorded detector SNRs for the trigger at each participating detectors,
(4) $\vec\xi^2$ are the auto-correlation-based consistency test values evaluated for each of the participating detectors,
(5) $\left[\vec{\Delta t}, \vec{\Delta \phi} \right]$ are the sets of differences in end times $\Delta t$ and coalescence phases $\Delta \phi$
between pairs of detectors within the set of participating detectors 
\footnote{
	For instance, if a coincident trigger is found by three detectors, H1, L1, and V1,
	then $\vec{\Delta t}$ will have three components, $\Delta t_\mathrm{H1L1}$, $\Delta t_\mathrm{L1V1}$
	and $\Delta t_\mathrm{H1V1}$, corresponding to the difference in end times between the H1-L1 detector pair,
	L1-V1 detector pair and H1-V1 detector pair.
}, and
(6) $\vec\theta$ is the template parameters associated with the trigger. 

The likelihood ratio $\mathcal{L}_\mathrm{coinc}$, in essence, is the ratio of the probability of getting the sets of detection statistics for
a given coincident triggers under the hypothesis that the trigger is a signal (signal hypothesis), to that under the hypothesis that trigger
originates from noise (noise hypothesis). 
The higher the likelihood ratio, the more likely the trigger is an actual gravitational-wave signal.

Starting from O2, GstLAL also computes an alternative likelihood ratio for single detector triggers \cite{Sachdev:2019vvd} as
\begin{align}
	\mathcal{L}_\mathrm{single} = \frac{P(\vec{D}_H, O, \rho, \xi^2 |\vec\theta,\mathbf{signal})}{P(\vec{D}_H, O, \rho, \xi^2 |\vec\theta,\mathbf{noise})}\cdot\frac{P(\vec\theta|\mathbf{signal})}{P(\vec\theta|\mathbf{noise})},
\end{align}
that is mostly the same as the likelihood ratio for coincident triggers, except that
(1) the SNRs and $\xi^2$ vectors now become only the values for the detector that registers the trigger,
(2) the difference in end times and coalescence phases $\left[\vec{\Delta t}, \vec{\Delta \phi} \right]$ terms are dropped,
(3) the set of participating detectors $\vec O$ now reduces to just the detector that registers the trigger.
An additional penalty of $12$ is manually subtracted from the \textbf{log} single detector likelihood ratio \cite{Ewing:2023qqe}
to account for single detector triggers being more susceptible to uncertainty as they are not found in time coincidence
in multiple detectors.
For single detector triggers that have a log-likelihood ratio $\ln \mathcal{L}_\mathrm{single} > 2$, GstLAL will consider them
as signal triggers for further follow-up. 

As explained in \cite{2017PhRvD..95d2001M,2015arXiv150404632C}, the likelihood ratio can be factorized into
smaller terms. Details of the factorization and the calculation for each of the sub-terms can be found in \cite{2017PhRvD..95d2001M,Sachdev:2019vvd,2015arXiv150404632C,Heather}.
Here, I will discuss several key terms in preparation for the discussion in later Chapters.

\subsubsection{The $P(\vec\rho, \vec\xi^2 | \vec\theta, \mathrm{noise})$ term}
$P(\vec\rho, \vec\xi^2 | \vec\theta, \mathrm{noise})$ is the probability of registering a (coincident) 
noise trigger with SNRs $\vec\rho$ and $\xi^2$. 
To compute this probability, GstLAL first populates histograms in the $\rho$-$\xi^2$ space with collected 
background triggers for each detector.
The histograms are then normalized
\footnote{
	The $\rho$-$\xi^2$ histogram contains 2D bins of widths $\Delta \rho_i$ and $\Delta \xi^2_i$ for the $i^\text{th}$ bin.
	To normalize the histogram, one ``integrates'' the histogram via
	\begin{align}
		C = \sum_i n_i \Delta \rho_i \Delta \xi^2_i,
	\end{align}
	where $i$ runs from $0$ to $N$, the total number of bins, and $n_i$ represents the counts in the $i^\text{th}$ bin,
	to obtain the normalization constant $C$. 
	Then, the histogram bin counts are divided by the normalization constant. This ensures that the normalized histogram,
	when integrated, gives $1$ as any usual probability density. 		
}
and smoothed with a Gaussian smoothing kernel. Figure \ref{fig:snr_chisq_histogram_example} shows an example histogram for noise
triggers collected in the Hanford (H1) detector for one split bank between GPS time $1370097052$ and $1370356252$ ($3$ days of data).
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{snr_chisq_histogram_example}
\caption{
	The $\rho$-$\xi^2$ histogram for noise triggers collected in the Hanford (H1) detector for one split bank between
	GPS time $1370097052$ and $1370356252$ ($3$ days of data). The green circle marks an example signal trigger with 
	H1 SNR $\rho_\text{H1} = 10$ and $\xi^2_\text{H1} = 1$. Since it is (marginally) away from the background noise triggers
	distribution, GstLAL will evaluate a low $P(\vec\rho, \vec\xi^2 | \vec\theta,\, \mathrm{noise})$ for this trigger, in turn
	increasing the log-likelihood ratio and hence the significance of this trigger. 
}
\label{fig:snr_chisq_histogram_example}
\index{figures}
\end{figure}
These histograms do not track time dependence in both the online and offline
operation, but instead, they are merely cumulative histograms.
This will potentially affect the sensitivity of the search because of durations of noisy data, which can occur when detectors are 
affected by seismic motion and extreme weather, can pollute the $\rho$-$\xi^2$ histograms. 
Should a real signal trigger be found later during relatively ``cleaner'' data, the trigger will still be assigned 
a $P(\vec\rho, \vec\xi^2 | \vec\theta \mathrm{noise})$ probability using the polluted histogram, reducing its 
likelihood ratio and significance. 
This may potentially result in the pipeline not ``finding''
\footnote{
	A signal trigger is ``found'' if its ranking statistic/significance passes a pre-determined threshold.
	For the GstLAL pipeline it thresholds on the False-Alarm-Rate (FAR) of a trigger (To be explained in later subsections).
}
the trigger, in turn reducing the search sensitivity of the pipeline. In Chapter \ref{Chapter: gstlal_idq}, we explore and discuss a potential solution to tackle this problem.

\subsubsection{The $P(\vec{\Delta t} | \vec\rho, \vec D_H, \mathrm{signal}) \times P(\vec{\Delta \phi} | \vec{\Delta t}, \vec\rho, \vec D_H, \mathrm{signal})$ term}
The $P(\vec{\Delta t} | \vec\rho, \vec D_H, \mathrm{signal}) \times P(\vec{\Delta \phi} | \vec{\Delta t}, \vec\rho, \vec D_H, \mathrm{signal})$ term
is added to the likelihood ratio calculations since LVK's second observing run O2.
This term accounts for signal consistency across the detector network.
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{dtdphi_term}
\caption{
	(Left) At different sky locations, a gravitational wave may reach one detector  
	before reaching the other. The effective strength of the signal may also differ.
	Depending on the ratio of the signal strengths (effective distance ratios), 
	the expected time and phase delay distribution for a pair of detectors has a non-trivial
	probability distribution, given that they are seeing the same signal. 
	(Right) A cartoon illustrating an example of the $\Delta t$, $\Delta \phi$ probability
	distribution for a trigger seen in both the Hanford (H1) and Livingston (L1) detector with
	an identical SNR of $8$. Assuming both detectors have similar sensitivity, it is more likely
	for the signal to be detected at the same time with almost no difference in the coalescence phase.
	Note that this is just a cartoon illustration. See Figure 7 of \cite{Sachdev:2019vvd} for a realistic example.
}
\label{fig:dtdphi_term}
\index{figures}
\end{figure}
The arrival times and coalescence phases of signal triggers at each detector, 
assuming sources of gravitational waves are distributed isotropically across the sky,
is uniform.
However, the relative time delays and coalescence phase of the same signal arriving at different
detector make up a non-trivial correlated probability density function, depending on the ratio 
of the signal strengths (effective distance ratios).
It is, therefore, natural to precompute the probability distributions for signals and use them
to check the signal consistency for signal triggers across detectors.
\cite{Hanna:2019ezx,Sachdev:2019vvd} give detailed discussion and explanation on how to precompute the
aforementioned term.

It is, however, helpful to note that the current precomputed probability distributions are marginalized over all sky and all possible inclinations and polarizations. This marginalization prevents GstLAL from performing any sky-location-based targeted searches. For instance, one can search for gravitational-wave counterparts to a Gamma-Ray-Burst (GRB) detection. The targeted search can be made more sensitive if we can focus on regions in the sky that overlap with the localization of the GRB source. In later chapters (Chapter \ref{Chapter: summary}), we will also see that sky-location-based targeted searches will be useful for uncovering possible strongly-lensed gravitational waves coming from the same source since they can be treated as having the same sky location essentially.

As part of ongoing work, we are investigating the possibility of rewriting the log-likelihood ratio so that the sky localization of the source (i.e. the right ascension $\alpha$ and declination $\delta$) can be included as part of the calculations, in replacement of the $\vec{\Delta t}, \vec{\Delta \phi}$ term. This will become exceptionally useful as more detectors (e.g. Virgo, KAGRA and LIGO India) join the detector network. To do so, we are now working on implementing the rapid localization method introduced in  \cite{Tsutsui:2020sml} into the GstLAL search pipeline as a first step. In short, \cite{Tsutsui:2020sml} creates posterior skymaps for the sources of gravitational-wave signals in a similar fashion as existing gravitational-wave source localization pipelines like BAYESTAR \cite{Singer:2015ema}, but it \textbf{maximizes}
\footnote{
	For reference, BAYESTAR \cite{Singer:2015ema} marginalizes the posterior skymaps
	over source distance and inclination.
}
the posterior skymap over the source distance and the source's inclination. While sacrificing a certain amount of accuracy in the skymap, this maximization increases the computation speed as part of the terms in the computation becomes data-independent and can be factorized out and precomputed. According to \cite{Tsutsui:2020sml}, their method reduces the computation time of a skymap to $\mathcal{O}(0.1s)$ as compared to $\mathcal{O}(1s)$ for BAYESTAR \cite{Singer:2015ema}. We aim to implement this method into GstLAL so that the pipeline will evaluate the source localization for signal triggers as an additional statistic for computing the likelihood ratio. However, work is still ongoing to (1) determine what parameters/terms should be used to represent the
source localization of a trigger and (2) develop a (semi-analytic) signal and noise model for the sky localization parameters we are introducing to the likelihood ratio calculation, and (3) further improve the accuracy of the source localization method introduced in \cite{Tsutsui:2020sml}. We also note that the computational time/cost for computing skymaps for every single trigger coming out of the pipeline can still be large, given the large number of triggers (See also ``Fast Path Cut'' and the subsection ``Clustering''). We will need to develop a more effective way to pre-select candidates that are more likely to be gravitational-wave signals so that we can drastically reduce the number of triggers the pipeline needs to compute source localization for. This pivotal change in the likelihood ratio calculation will allow GstLAL to perform sky-location
based targeted searches in the future.

\subsubsection{The $P(\vec\theta | \mathrm{signal})$ term}
The $P(\vec\theta | \mathrm{signal})$ term is the numerator in the second part of the likelihood ratio definition. This term, formally known as the \textbf{population model term}, corresponds to the probability that a template waveform with parameters $\vec\theta$ is recovered as the best-match template, given that the trigger is a signal. Before LVK's third observing run O3, the population model term was neglected and is set to be $1$ for every template in the template bank \cite{Heather,Sachdev:2019vvd}. Effectively, this assumes that astrophysical sources are distributed identically to how the templates are distributed in the template bank. This is incorrect, mainly due to the uneven density of templates in the template bank.

\cite{Heather} provides a detailed discussion on properly incorporating prior information about the
signal distribution in parameter space (population model) into the population model term. Here, we give a
summary for completeness.
We start by assuming the following:
\begin{enumerate}
	\item[(1)] {The template bank is populated with a sufficiently high density such that any gravitational-wave 
	signal $\vec{s}(\vec\theta)$ labelled by its source parameters $\vec\theta$ can be described exactly by a 
	normalized template $\vec{t}_j$ up to a proportionality constant $\rho$ that describes the strength of the 
	signal (i.e. the signal-to-noise ratio SNR). Mathematically, we have
	\begin{align}
		\vec{s}(\vec\theta) \sim \rho \vec{t}_j.
	\end{align}
	}
	\item[(2)] {Noise in the data is stationary and Gaussian, and}
	\item[(3)] {Data $\vec{d}$ that contains both noise $\vec{n}$ and a gravitational-wave signal $\vec{s}$ can be 
	described by the multiple of a normalized waveform template $\vec{t}_k$, i.e.
	\begin{align}
		\vec{d} \sim \rho_{\text{obs}, k} \vec{t}_k.
	\end{align}
	}
\end{enumerate}
Suppose there is a gravitational-wave signal $\vec{s}=\rho\vec{t}_j$ originating from a predefined population
in the data, then the probability for the signal to be picked up by a template $\vec{t}_k$ is given by
\begin{align}
	P(\vec{t}_k|s,\rho) = \sum_j \left\{P(\text{candidate in }\vec{t}_k|s=\rho\vec{t}_j)\times P(\vec{t}_j|\text{signal from population})\right\},
\end{align}
where $j$ runs from $0$ to $N$, with $N$ being the total number of templates in the template bank.
The first term in the summation, $P(\text{candidate in }\vec{t}_k|s=\rho\vec{t}_j)$,
gives the probability that the observed signal described by $\vec{t}_j$ is recovered as a trigger by template $\vec{t}_k$.
This term can be precomputed as the \textbf{template overlap} for each template in the template bank.
The second term, $P(\vec{t}_j|\text{signal from population})$,
gives the probability that a signal originating from the pre-determined population can be described by a template $\vec{t}_j$.
One can incorporate a population model into the likelihood ratio calculation in this term.
Details of the exact computation can be found in \cite{Heather}.
Nevertheless, it is useful to note that in later chapters (Chapter \ref{Chapter: TESLA-X}), we will show how one can
incorporate a targeted population model to improve the search sensitivity for possible sub-threshold strongly lensed
gravitational-wave signals.

\subsubsection{Fast path cut}
While not adequately documented in any of the published articles so far, GstLAL actually employs a
``fast path cut'' function to ``discard'' triggers that analysts deemed unlikely to be an actual signal.
The logic of the function goes as follows: Given a coincident trigger, if the network SNR
\footnote{
	The network SNR of a trigger is the SNRs recorded in all participating detectors
	added in quadrature, i.e. $\rho_\text{network} = \sqrt{\rho_i \rho_i}$.
} of the trigger is $< 7$, the trigger will be automatically assigned a log-likelihood ratio
of negative infinity. This is essentially ``discarding'' the trigger.
The reason for employing the ``fast-path cut'' function is to reduce the
number of triggers for follow-up preliminarily. However, this leads to two potential issues:
(1) The $\rho_\text{network} \geq 7$ threshold is arbitrarily set. There has been no in-depth
studies done a priori before this threshold is set. Also, as we have mentioned earlier,
SNR is not an optimal ranking statistic to determine how likely a trigger is a real gravitational-wave
signal, given that noise is not stationary and Gaussian. The ``fast-path cut'' function can potentially
reduce the search sensitivity by unknowingly removing signal triggers.
(2) The ``fast path cut'' function, together with trigger clustering (to be discussed in the next subsection)
will lead to permanent loss of trigger information because the pipeline will ultimately remove triggers
\footnote{
	Here, removing means deleting files and information related to a trigger.
}
with low log-likelihood ratios. This prevents analysts from utilizing filtered products (the complete trigger list) 
from a given search for alternative studies.
For instance, one may want to rerank
\footnote{
	A rerank involves a re-assignment of log-likelihood ratios to the triggers.
}
triggers from a search using a different population model.
Another example would be to rerank candidates from multiple searches across different time ranges
of data with a combined background.
These would not be possible since some triggers have been clustered and discarded from the complete list of triggers,
potentially leading to inaccurate results from the re-analyses.

\subsection{\underline{Clustering}}
As mentioned before, different templates in the template bank can form multiple (coincident) signal triggers at a given time. \cite{2017PhRvD..95d2001M} also mentioned that it is probable for GstLAL to register at least one trigger per every one-second interval per template 
per detector. To reduce the size of the final data products (i.e., the trigger list and associated files), GstLAL keeps only triggers with the highest likelihood ratio within a certain time window and permanently discards the other triggers. This process is known as \textbf{clustering}. For the online analysis, clustering is done for each split bank within a $\pm 1$-second window. For the offline analysis, clustering is done within a $\pm 4$-second window across the full template bank. As explained in the previous subsection, the clustering process prevents analysts from using the data products in a search for alternative studies.

As part of ongoing work, we are investigating an alternative, better method/logic to replace the current ``fast path cut'' function, such that we can still retain the complete list of triggers but limit the follow-up analysis to only those that are (semi-analytically) more likely to be real gravitational-wave signals. The aim is to trim down the list of triggers for follow-up without discarding any potential ones that may be real signals to a point where the size of the final data products is manageable, such that the clustering process can be removed and information of the complete list of triggers can be kept. In the future, this will allow users to properly do reranks and other studies using data products from GstLAL searches, without the need to do re-filtering (i.e. a new search).

\subsection{\underline{False Alarm Rates and False Alarm Probabilities}}
As a final step, GstLAL evaluates, for each trigger, a False-Alarm-Probability (FAP) defined as
\begin{align}
	\text{FAP}=P(\ln\mathcal{L}>\ln\mathcal{L}^*|\text{noise})=\int_{\ln\mathcal{L}^*}^\infty P(\ln\mathcal{L}|\mathbf{noise})d\ln\mathcal{L}.
\end{align}
Effectively, the FAP is the probability that noise can produce a trigger with log-likelihood ratio $\ln \mathcal{L}$ larger or equal
to the log-likelihood ratio $\ln \mathcal{L}*$ of the trigger under consideration \cite{2017PhRvD..95d2001M}
\footnote{
	The False-Alarm-Probability is also known more generally as the p-value.
}.  
We can, from the FAP, evaluate a similar statistic known as the False-Alarm-Rate (FAR) defined by
\begin{align}
	\text{FAR} = \frac{\text{FAP} \times N}{T},
\end{align}
where $N$ is the total number of candidates, and $T$ is the total duration of data being analyzed.
The FAR tells us how often noise can produce a trigger with log-likelihood ratio $\ln \mathcal{L}$ larger 
or equal to the log likelihood ratio $\ln \mathcal{L}*$ of the trigger under consideration \cite{2017PhRvD..95d2001M}.
The lower the FAR, the more significant a trigger is.

Ultimately, GstLAL outputs a list of triggers ranked by their FARs. Candidates that pass a pre-determined FAR threshold
are passed on for follow-up analyses, including Bayesian parameter estimation.

More information about the GstLAL pipeline can be found in \cite{2017PhRvD..95d2001M,Sachdev:2019vvd,2021SoftX..1400680C}.


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%\section{Overview of the upcoming chapters}
%\label{sec: gstlal_overview_of_upcoming_chapters}

%In Chapter \ref{Chapter: gstlal_idq}, I will introduce an ongoing work to use statistical data quality (iDQ) information
%to improve the ranking statistics assignment for triggers found at different times with different data (noise) quality.
%In Chapter \ref{Chapter: gstlal_sky_localization}, I will introduce some of my past, present and future development
%work for the GstLAL search pipeline
%\footnote{
%	I sincerely hope I can classify these work better, but due to numerous reasons, this was not possible.
%}.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\begin{subappendices}

\section{Deriving the normalization constant for GstLAL's auto-correlation based signal consistency test value $\xi^2$}
\label{appsec: auto_normalization}
Recall that the auto-correlation signal-consistency test value without normalization is given by
\begin{align}
	\tilde{\xi}^2(t) = |z_j(t) - z_j(0) R_j(t)|^2,
\end{align}
where $z_j(t)$ is the complex SNR time series
\begin{align}
	z_j(t) = 2\int_{-\infty}^{+\infty} \frac{[h_{2j}(f) + ih_{2j+1}(f)]^* d(f)}{S_n(|f|)}e^{2\pi i f t} df,
\end{align}
with $h_{2j}$ and $h_{2j+1}$ being the real and imaginary part of the template waveform, 
$d(f)$ is the data in the frequency domain, 
$R_j(t)$ is the normalized autocorrelation function of the template waveform,
$S_n(|f|)$ is the noise power spectral density.

The expectation value of $\tilde\xi^2$ is given by
\begin{align}
	\langle \xi^2 \rangle &= \langle |z_j(t) - z_j(0) R_j(t)|^2 \rangle\\
	&= \langle |z_j(t)|^2 + |z_j(0)|^2 |R_j(t)|^2 - z_j(t)z_j^*(0)R_j^*(t) - z_j^*(t)z_j(0)R_j(t) \rangle\\
	&= \langle |z_j(t)|^2 \rangle + \langle |z_j(0)|^2 |R_j(t)|^2 \rangle - \langle z_j(t)z_j^*(0)R_j^*(t) \rangle - \langle z_j^*(t)z_j(0)R_j(t) \rangle.
\end{align}
This is the expectation value when the data is purely Gaussian noise, i.e. $d(f) = n(f)$. 
In the frequency domain, the auto-correlation function $R_j(t)$ can be written as
\begin{align}
	R_j(t) &= \int_{-\infty}^{\infty}\frac{|h_{2j}(f)|^2 + |h_{2j+1}(f)|^2}{S_n(|f|)}e^{2\pi i ft}df.
\end{align}
With this, part of the second term in the expanded version of $\tilde\xi^2$ can be evaluated as
\begin{align}
	\langle |z_j(0)|^2 \rangle &= \langle 4\underbrace{\int_{-\infty}^{\infty}\frac{[h_{2j}(f_1)+ih_{2j+1}(f_1)]n^*(f_1)}{S_n^*(|f_1|)} df_1}_{z_j^*(0)} \underbrace{\int_{-\infty}^{\infty} \frac{[h_{2j}(f_2)+ih_{2j+1}(f_2)]^*n(f_2)}{S_n(|f_2|)}df_2}_{z_j(0)} \rangle\\
	&= 4\int_{-\infty}^{\infty}\int_{-\infty}^{\infty}\langle n^*(f_1)n(f_2)\rangle\left\langle\frac{[h_{2j}(f_1)+ih_{2j+1}(f_1)][h_{2j}^*(f_2)-ih_{2j+1}^*(f_2)]}{S_n^*(|f_1|)S_n(|f_2|)}\right\rangle df_1df_2\\
	&= 2\int_{-\infty}^{\infty}\int_{-\infty}^{\infty} S_n(|f_2|)\delta(f_2-f_1)\left\langle\frac{[h_{2j}^*(f_1)+ih_{2j+1}^*(f_1)][h_{2j}^*(f_2)-ih_{2j+1}^*(f_2)]}{S_n^*(|f_1|)S_n(|f_2|)}\right\rangle df_1df_2\\
	&= 2\int_{-\infty}^{\infty}\left\langle\frac{[h_{2j}^*(f_1)+ih_{2j+1}^*(f_1)][h_{2j}^*(f_1)-ih_{2j+1}^*(f_1)]}{S_n^*(|f_1|)}df_1\right\rangle\\
	&= 2\underbrace{\int_{-\infty}^{\infty}\frac{|h_{2j}(f_1)|^2 + |h_{2j+1}(f_1)|^2}{S_n^*(|f_1|)}df_1}_{R_j^*(0)=1}\\
	&= 2,
\end{align}
where we have made use of the fact that for stationary Gaussian noise,
\begin{align}
	<n(f_1)n^*(f_2)> = \frac{1}{2}S_n(f_1)\delta(f_1-f_2).
\end{align}
Similarly, the first term can be evaluated as
\begin{align}
	\langle |z_j(t)|^2 \rangle &= \langle 4\underbrace{\int_{-\infty}^{\infty}\frac{[h_{2j}(f_1)+ih_{2j+1}(f_1)]n^*(f_1)}{S_n^*(|f_1|)} e^{-2\pi i f_1 t} df_1}_{z_j^*(t)} \underbrace{\int_{-\infty}^{\infty} \frac{[h_{2j}(f_2)+ih_{2j+1}(f_2)]^*n(f_2)}{S_n(|f_2|)}e^{2\pi i f_2 t} df_2}_{z_j(t)} \rangle\\
	&= 4\int_{-\infty}^{\infty}\int_{-\infty}^{\infty}\langle n^*(f_1)n(f_2)\rangle\left\langle\frac{[h_{2j}(f_1)+ih_{2j+1}(f_1)][h_{2j}^*(f_2)-ih_{2j+1}^*(f_2)]}{S_n^*(|f_1|)S_n(|f_2|)}e^{2\pi i (f_2-f_1) t}\right\rangle df_1df_2\\
	&= 2\int_{-\infty}^{\infty}\int_{-\infty}^{\infty} S_n(|f_2|)\delta(f_2-f_1)\left\langle\frac{[h_{2j}(f_1)+ih_{2j+1}(f_1)][h_{2j}^*(f_2)-ih_{2j+1}^*(f_2)]}{S_n^*(|f_1|)S_n(|f_2|)}e^{2\pi i (f_2-f_1) t}\right\rangle df_1df_2\\
	&= 2\int_{-\infty}^{\infty}\left\langle\frac{[h_{2j}(f_1)+ih_{2j+1}(f_1)][h_{2j}^*(f_1)-ih_{2j+1}^*(f_1)]}{S_n^*(|f_1|)}df_1\right\rangle\\
	&= 2\underbrace{\int_{-\infty}^{\infty}\frac{|h_{2j}(f_1)|^2 + |h_{2j+1}(f_1)|^2}{S_n^*(|f_1|)}df_1}_{R_j^*(0)=1}\\
	&= 2.
\end{align}
Note that
\begin{align}
	\langle z_j(t)z_j^*(0) \rangle &= \langle 4\underbrace{\int_{-\infty}^{\infty}\frac{[h_{2j}(f_1)+ih_{2j+1}(f_1)]^*n(f_1)}{S_n(|f_1|)} e^{2\pi i f_1 t} df_1}_{z_j(t)} \underbrace{\int_{-\infty}^{\infty} \frac{[h_{2j}(f_2)+ih_{2j+1}(f_2)]n^*(f_2)}{S_n^*(|f_2|)}df_2}_{z_j^*(0)} \rangle\\
	&= 4\int_{-\infty}^{\infty}\int_{-\infty}^{\infty}\langle n(f_1)n^*(f_2)\rangle\left\langle\frac{[h_{2j}^*(f_1)-ih_{2j+1}^*(f_1)][h_{2j}(f_2)+ih_{2j+1}(f_2)]}{S_n(|f_1|)S_n^*(|f_2|)}e^{2\pi i f_1 t}\right\rangle df_1df_2\\
	&= 2\int_{-\infty}^{\infty}\int_{-\infty}^{\infty} S_n(|f_1|)\delta(f_1-f_2)\left\langle\frac{[h_{2j}^*(f_1)-ih_{2j+1}^*(f_1)][h_{2j}(f_2)+ih_{2j+1}(f_2)]}{S_n(|f_1|)S_n^*(|f_2|)}e^{2\pi i f_1 t}\right\rangle df_1df_2\\
	&= 2\int_{-\infty}^{\infty}\left\langle\frac{[h_{2j}^*(f_2)-ih_{2j+1}^*(f_2)][h_{2j}(f_2)+ih_{2j+1}(f_2)]}{S_n^*(|f_2|)}e^{2\pi i f_2 t}df_2\right\rangle\\
	&= 2\underbrace{\int_{-\infty}^{\infty}\frac{|h_{2j}(f_2)|^2 + |h_{2j+1}(f_2)|^2}{S_n^*(|f_2|)}e^{2\pi i f_2 t}df_2}_{R_j(t)}\\
	&= 2R_j(t),
\end{align}
and similarly.
\begin{align}
	\langle z_j^*(t)z_j(0) \rangle = 2R_j^*(t).
\end{align}
Putting all these results together, we get
\begin{align}
	\langle \xi^2 \rangle &= \langle |z_j(t)|^2 \rangle + \langle |z_j(0)|^2 |R_j(t)|^2 \rangle - \langle z_j(t)z_j^*(0)R_j^*(t) \rangle - \langle z_j^*(t)z_j(0)R_j(t) \rangle\\
	&= 2 + 2|R_j(t)|^2 - 2 |R_j(t)|^2 - 2 |R_j(t)|^2\\
	&= 2 - 2|R_j(t)|^2
\end{align}
which is the normalization term for $\xi^2$. 

\end{subappendices}

%\begin{figure}[hbt!]
%\centering
%\includegraphics[width=\textwidth]{cross_polarization.png}
%\caption{Cross Polarization.}\label{fig:cross_polarization}
%\index{figures}
%\end{figure}

